
/* 
 * This javascript file will be loaded after all the system files.
 * (so other javascript functions will already be loaded)
 * 
 * Javascript files are loaded in alphabetic order, hence the "90" 
 * in the filename to force it to load after the other files!
 * 
 * To totally replace a system js file, create a file of the same 
 * name in this directory. eg. 50_preview.js
 * 
*/

//Turn off the title pin for all the pages except the search page.
function title_highlight() {
           
  var strHref = location.href;
  
  if (!strHref.match(new RegExp("/cgi/search/"))) {
	if (document.getElementById('ep_tm_pagetitle')){	
	document.getElementById('ep_tm_pagetitle').style.display = "none";
	}
 
 }
}

//Assign multiple functions to window.onload.
//Please make sure to use it after the other files, so the functions will be avaliable.
//Function introduced by Simon Willison.
//August 21, 2009
function addLoadEvent(func) { 
  var oldonload = window.onload; 
	if (typeof window.onload != 'function') { 
	 window.onload = func; 
	}
  else { 
    window.onload = function() { 
    if (oldonload) { 
	   oldonload(); 
	  } 
	  func(); 
	  } 
  } 
} 

//Add title_highlight() to window.onload
addLoadEvent(title_highlight);