######################################################################
#
# generate_abstract_title( $session )
#
######################################################################
#
# $session 
# - Session object (the current session)
#
# returns: $abstractTitle
# - string (may be null)
#
######################################################################
#
# Called by dynamic_template.pl, generate the title of each
# eprint on the abstract page.
#
# Author: Bin Han and Tomasz Neugebauer
#
######################################################################

$c->{generate_abstract_title} = sub
{
	my ($session) = @_;
	
	my $abstractTitle = "";
	my @URI = ();

	if (defined($session->get_request))
	{
		@URI = split(/\//, $session->get_request->uri);
			
		if ( @URI != 0 && $URI[1] =~ /(\d+)/)	#research repository -> abstracts
		{
			# $1 is the abstract (EPrint) id get from $URL[1] =~ /(\d+)/.
			my $abstract = EPrints::DataObj::EPrint->new( $session, $1 );
			$abstractTitle = "Title: ".$abstract->get_value("title");
		}
	}
	
	return $session->make_text( $abstractTitle );
};